gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: Automating the do


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: Automating the doc-builder
Date: Mon, 10 Jun 2019 20:56:20 +0200

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 1f483af  Automating the doc-builder
1f483af is described below

commit 1f483af4ae575075fb7a1c65f92a8b60025500bd
Author: Marcello Stanisci <address@hidden>
AuthorDate: Mon Jun 10 20:56:16 2019 +0200

    Automating the doc-builder
---
 bootstrap-docbuilder | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/bootstrap-docbuilder b/bootstrap-docbuilder
new file mode 100755
index 0000000..f9fa6f7
--- /dev/null
+++ b/bootstrap-docbuilder
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# Bootstrap the Taler setup for the user account that
+# is currently logged in.
+
+# Generates a setup for a single user,
+# including a postgresql DB.
+
+set -eu
+
+BRANCH=master
+REPOS="bank merchant exchange deployment backoffice api 
merchant-frontend-examples"
+
+cd $HOME
+
+for component in $REPOS; do
+  if ! test -d $HOME/$component; then
+    git clone git://git.taler.net/$component.git
+  fi
+done
+
+for component in $REPOS; do
+  echo "Checking out $component to $BRANCH"
+  git -C $HOME/$component checkout $BRANCH
+done
+
+mkdir stamps
+
+ln -sf ../deployment/taler-docbuild/Makefile stamps/
+ln -sf ../deployment/taler-docbuild/invalidate.sh stamps/

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]